Orders
Get CMR recipient choices and defaults
Read your account’s document recipient choices and defaults for future orders.
GET
/
v2
/
cmr-options
Get CMR recipient choices and defaults
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/cmr-options \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/cmr-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/cmr-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"revision": "2026-07-30T12:00:00Z",
"default_recipient": {
"kind": "automatic"
},
"default_mode": null,
"options": [
{
"selection": {
"kind": "company"
},
"label": "Example Motors Oy",
"recipient": {
"name": "Example Motors Oy",
"street_address": "Mannerheimintie 1",
"postal_code": "00100",
"city": "Helsinki",
"country_code": "FI"
},
"missing_fields": []
},
{
"selection": {
"kind": "place",
"place_id": "place_01k1a2b3c4d5e6f7g8h9j0k1m2"
},
"label": "Warehouse",
"recipient": null,
"missing_fields": [
"postal_code"
]
}
]
}
}{
"type": "https://api.bahnexpress.fi/problems/authentication-failed",
"title": "The access token is not valid.",
"status": 401,
"code": "authentication_failed",
"instance": "/v2/cmr-options",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2"
}{
"type": "https://api.bahnexpress.fi/problems/permission-denied",
"title": "The access token does not have the required scope.",
"status": 403,
"code": "permission_denied",
"instance": "/v2/cmr-options",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2",
"detail": "The orders:read scope is required."
}Required scope:
orders:read.
Read the workflow guide for setup, examples, and recovery behavior.
⌘I
Get CMR recipient choices and defaults
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/cmr-options \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/cmr-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/cmr-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"revision": "2026-07-30T12:00:00Z",
"default_recipient": {
"kind": "automatic"
},
"default_mode": null,
"options": [
{
"selection": {
"kind": "company"
},
"label": "Example Motors Oy",
"recipient": {
"name": "Example Motors Oy",
"street_address": "Mannerheimintie 1",
"postal_code": "00100",
"city": "Helsinki",
"country_code": "FI"
},
"missing_fields": []
},
{
"selection": {
"kind": "place",
"place_id": "place_01k1a2b3c4d5e6f7g8h9j0k1m2"
},
"label": "Warehouse",
"recipient": null,
"missing_fields": [
"postal_code"
]
}
]
}
}{
"type": "https://api.bahnexpress.fi/problems/authentication-failed",
"title": "The access token is not valid.",
"status": 401,
"code": "authentication_failed",
"instance": "/v2/cmr-options",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2"
}{
"type": "https://api.bahnexpress.fi/problems/permission-denied",
"title": "The access token does not have the required scope.",
"status": 403,
"code": "permission_denied",
"instance": "/v2/cmr-options",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2",
"detail": "The orders:read scope is required."
}